StarGraphicStruct::StarBrush Class Reference documentation

Public Member Functions | Public Attributes | Friends | List of all members
StarGraphicStruct::StarBrush Class Reference

Class to store a brush. More...

`#include <StarGraphicStruct.hxx>`

## Public Member Functions
| StarBrush ()
| constructor
bool | isEmpty () const
| returns true if the brush is empty
bool | hasUniqueColor () const
| returns true is the brush has unique color
bool | getColor (STOFFColor &color) const
| try to return a color corresponding to the brush
bool | getPattern (STOFFEmbeddedObject &object, STOFFVec2i &sz) const
| try to return a pattern corresponding to the brush
bool | read (StarZone &zone, int nVers, long endPos, StarObject &document)
| try to read a brush

## Public Attributes
int | m_transparency
| the transparency
STOFFColor | m_color
| the color
STOFFColor | m_fillColor
| the fill color
int | m_style
| the brush style(pattern): BRUSH_NULL, BRUSH_SOLID, BRUSH_HORZ, BRUSH_VERT, BRUSH_CROSS, BRUSH_DIAGCROSS, BRUSH_UPDIAG, BRUSH_DOWNDIAG, BRUSH_25, BRUSH_50, BRUSH_75, BRUSH_BITMAP
int | m_position
| the position(none, lt, mt, rt, lm, mm, rm, lb, mb, rb, area, tiled)
librevenge::RVNGString | m_linkName
| the link name
librevenge::RVNGString | m_filterName
| the filter name
std::string | m_extra
| extra data

## Friends
std::ostream & | operator<< (std::ostream &o, StarBrush const &brush)
| operator<<

## Detailed Description

Class to store a brush.

## Constructor & Destructor Documentation

## ◆ StarBrush()

StarGraphicStruct::StarBrush::StarBrush | ( |  | ) |
| inline

constructor

Referenced by read().

## Member Function Documentation

## ◆ getColor()

bool StarGraphicStruct::StarBrush::getColor | ( | STOFFColor & | color | ) | const

try to return a color corresponding to the brush

Referenced by StarFrameAttribute::StarFAttributeBrush::addTo().

## ◆ getPattern()

bool StarGraphicStruct::StarBrush::getPattern | ( | STOFFEmbeddedObject & | object,
|  | STOFFVec2i & | sz ) const

try to return a pattern corresponding to the brush

Referenced by StarFrameAttribute::StarFAttributeBrush::addTo().

## ◆ hasUniqueColor()

bool StarGraphicStruct::StarBrush::hasUniqueColor | ( |  | ) | const
| inline

returns true is the brush has unique color

Referenced by StarFrameAttribute::StarFAttributeBrush::addTo().

## ◆ isEmpty()

bool StarGraphicStruct::StarBrush::isEmpty | ( |  | ) | const
| inline

returns true if the brush is empty

Referenced by StarFrameAttribute::StarFAttributeBrush::addTo().

## ◆ read()

bool StarGraphicStruct::StarBrush::read | ( | StarZone & | zone,
|  | int | nVers,
|  | long | endPos,
|  | StarObject & | document )

try to read a brush

Referenced by StarFrameAttribute::StarFAttributeBrush::read(), and StarFormatManager::readNumberFormat().

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | StarBrush const & | brush )
| friend

operator<<

## Member Data Documentation

## ◆ m_color

STOFFColor StarGraphicStruct::StarBrush::m_color

the color

Referenced by getColor(), getPattern(), and read().

## ◆ m_extra

std::string StarGraphicStruct::StarBrush::m_extra

extra data

Referenced by read().

## ◆ m_fillColor

STOFFColor StarGraphicStruct::StarBrush::m_fillColor

the fill color

Referenced by getColor(), getPattern(), and read().

## ◆ m_filterName

librevenge::RVNGString StarGraphicStruct::StarBrush::m_filterName

the filter name

Referenced by read().

## ◆ m_linkName

librevenge::RVNGString StarGraphicStruct::StarBrush::m_linkName

the link name

Referenced by read().

## ◆ m_position

int StarGraphicStruct::StarBrush::m_position

the position(none, lt, mt, rt, lm, mm, rm, lb, mb, rb, area, tiled)

Referenced by StarFrameAttribute::StarFAttributeBrush::addTo(), and read().

## ◆ m_style

int StarGraphicStruct::StarBrush::m_style

the brush style(pattern): BRUSH_NULL, BRUSH_SOLID, BRUSH_HORZ, BRUSH_VERT, BRUSH_CROSS, BRUSH_DIAGCROSS, BRUSH_UPDIAG, BRUSH_DOWNDIAG, BRUSH_25, BRUSH_50, BRUSH_75, BRUSH_BITMAP

Referenced by getColor(), getPattern(), hasUniqueColor(), isEmpty(), and read().

## ◆ m_transparency

int StarGraphicStruct::StarBrush::m_transparency

the transparency

Referenced by StarFrameAttribute::StarFAttributeBrush::addTo(), isEmpty(), and StarFrameAttribute::StarFAttributeBrush::read().

The documentation for this class was generated from the following files:

- StarGraphicStruct.hxx
- StarGraphicStruct.cxx